Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class HumanTaskGetInformationHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.TaskHandler
                  org.jbpm.bpmn2.xml.UserTaskHandler
                      org.jbpm.kie.services.impl.bpmn2.HumanTaskGetInformationHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    @ApplicationScoped
    public class HumanTaskGetInformationHandler

extends UserTaskHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL, inputAssociation, outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`HumanTaskGetInformationHandler()` Creates a new `HumanTaskGetInformationHandler` instance.

Method Summary
`protected void` | `readIoSpecification(Node xmlNode, Map<String,String> dataInputs, Map<String,String> dataOutputs)` Reads the io specification and put the information in the `HumanTaskRepository`.
`protected String` | `readPotentialOwner(Node xmlNode, HumanTaskNode humanTaskNode)`
`void` | `setRepository(ProcessDescriptionRepository repository)`
`void` | `setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)`

Methods inherited from class org.jbpm.bpmn2.xml.UserTaskHandler
`createNode, generateNodeFor, handleNode, writeIO, writeNode`

Methods inherited from class org.jbpm.bpmn2.xml.TaskHandler
`end, getTaskName, handleForEachNode, readDataInputAssociation, readDataOutputAssociation`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`endNode, endNode, extractScript, getDataType, handleScript, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readMultiInstanceLoopCharacteristics, start, writeNode, writeScript, writeScripts, writeScripts`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### HumanTaskGetInformationHandler

    public HumanTaskGetInformationHandler()

  Creates a new `HumanTaskGetInformationHandler` instance.

  Parameters:
    `humanTaskRepository` - the `HumanTaskRepository`.

Method Detail

### readIoSpecification

    protected void readIoSpecification(Node xmlNode,
                                       Map<String,String> dataInputs,
                                       Map<String,String> dataOutputs)

  Reads the io specification and put the information in the `HumanTaskRepository`.

  Overrides:
    `readIoSpecification` in class `AbstractNodeHandler`

### readPotentialOwner

    protected String readPotentialOwner(Node xmlNode,
                                        HumanTaskNode humanTaskNode)

  Overrides:
    `readPotentialOwner` in class `UserTaskHandler`

### setRepositoryHelper

    public void setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)

### setRepository

    public void setRepository(ProcessDescriptionRepository repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.